---
title: Control Panel
description: This is a page that controls the progress bar
---

This is a page that controls the progress bar and how it will look like.

<div style="text-align: center;">
    <div class="w-30 reveal-on-hover pixelated" style="display: inline-block;" id="qrcode"></div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Hover your mouse over the square to reveal the QR Code
    </div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        It contains the link to this page
    </div>
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Scan with your phone's camera
    </div>
</div>

<script>
function addJS(name) {
    var node=document.createElement('script');
    node.setAttribute('type','text/javascript');
    node.setAttribute('src', name);
    document.head.appendChild(node);
}
function addCSS(name) {
    var node=document.createElement('link');
    node.setAttribute('rel', 'stylesheet');
    node.setAttribute('type', 'text/css');
    node.setAttribute('href', name);
    document.head.appendChild(node);
}
addCSS('/css/control.css');
addJS('/js/qrcode.js');
addJS('/js/sharedWebSocket.js');
addJS('/js/control.js');
var qr;
function keepQrCodeUpdated(){
    if(!window.QRCode) setTimeout(keepQrCodeUpdated, 10);
    else {
        qr = new QRCode(document.getElementById('qrcode'));
        qr.makeCode(window.document.location.toString());
    }
}
setTimeout(keepQrCodeUpdated, 10);
</script>

## Settings' persistence

<form id="persistence" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="btn-save" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Export current settings to a file
    </label>
    <input id="btn-save" type="button" class="w-100 mv2 white pa3 bn hover-shadow hover-bg-black bg-animate bg-black" value="Save" style="cursor: pointer;" onclick="return saveSettings();">
    <label for="btn-load" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Load previous settings from a file
    </label>
    <input id="btn-load" type="file" class="w-90 f5 pv3 ph3 bg-light-gray bn" style="cursor: pointer;" onchange="return loadSettings(this);">
    <div class="requirements f6 gray glow i ph3 overflow-hidden">
        Drag-and-drop is supported
    </div>
</form>

## Styling

<form class="form" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="tableRows" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Table Row Count
    </label>
    <input id="tableRows" name="tableRows" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" step="1" value="3" min="0" max="100" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="tableCols" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Table Column Count
    </label>
    <input id="tableCols" name="tableCols" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" step="1" value="3" min="0" max="100" onkeyup="broadcastChanges(); updateCriticalPath();" onkeydown="broadcastChanges(); updateCriticalPath();" onchange="broadcastChanges(); updateCriticalPath();">
    <label for="fontFamily" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Font-family
    </label>
    <input id="fontFamily" name="fontFamily" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="sans-serif" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="fontColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card text color
    </label>
    <input id="fontColor" name="fontColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#000000" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="baseFontSize" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Base font-size (in REMs)
    </label>
    <input id="baseFontSize" name="baseFontSize" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="baseFontWeight" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Base font-weight
    </label>
    <input id="baseFontWeight" name="baseFontWeight" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="500" step="50" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardMargin" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card margin
    </label>
    <input id="cardMargin" name="cardMargin" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardPadding" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card padding
    </label>
    <input id="cardPadding" name="cardPadding" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="1.2" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()"><label for="cardBorderRadius" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card border radius
    </label>
    <input id="cardBorderRadius" name="cardBorderRadius" type="number" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="0.25" step="0.01" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <label for="cardColor" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Card background color
    </label>
    <input id="cardColor" name="cardColor" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="#00000080" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <div id="perColumnSettings"></div>
</form>

## Content

<form class="form" class="black-80 sans-serif w-100" onsubmit="return false;">
    <label for="operatorHint" class="f6 b db mb1 mt3 sans-serif mid-gray">
        Operator's Hint
    </label>
    <input id="operatorHint" name="operatorHint" type="text" class="w-100 f5 pv3 ph3 bg-light-gray bn" value="TOP-3 Dance wars - Category A" onkeyup="broadcastChanges()" onkeydown="broadcastChanges()" onchange="broadcastChanges()">
    <table id="managedtbl"></table>
</form>

## Currently on screen

<iframe id="preview_frame" class="w-100 f5 bg-light-gray bn" src="" title="Preview" style="height: 75vh;"></iframe>
